Package commoble.morered.soldering

# Class SolderingRecipeButtonPacket

java.lang.Object
commoble.morered.soldering.SolderingRecipeButtonPacket

public class SolderingRecipeButtonPacket extends Object
Packet sent from client to server when client clicks a recipe button in the soldering screen

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraft.resources.ResourceLocation`
`recipeID`

## Constructor Summary

Constructors
Constructor
Description
`SolderingRecipeButtonPacket(net.minecraft.resources.ResourceLocation recipeID)`

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)`
`void`
`handleThreadsafe(net.minecraftforge.network.NetworkEvent.Context context)`
`static SolderingRecipeButtonPacket`
`read(net.minecraft.network.FriendlyByteBuf packet)`
`void`
`write(net.minecraft.network.FriendlyByteBuf packet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### recipeID

public final net.minecraft.resources.ResourceLocation recipeID

## Constructor Details

### SolderingRecipeButtonPacket

public SolderingRecipeButtonPacket(net.minecraft.resources.ResourceLocation recipeID)

## Method Details

### write

public void write(net.minecraft.network.FriendlyByteBuf packet)

### read

public static SolderingRecipeButtonPacket read(net.minecraft.network.FriendlyByteBuf packet)

### handle

public void handle(Supplier<net.minecraftforge.network.NetworkEvent.Context> contextGetter)

### handleThreadsafe

public void handleThreadsafe(net.minecraftforge.network.NetworkEvent.Context context)